<?php
/**
 * Created by PhpStorm.
 * User: UNTREF
 * Date: 4/1/2018
 * Time: 5:45 PM
 */

namespace App;
use Illuminate\Database\Eloquent\Model;


class UserAutotag extends Model
{

    protected $table = 'user_autotag';
    protected $fillable = ['id', 'user_id','unit_id','pipeline_id','teamrole_id'];
    public $timestamps = true;


    public function pipeline(){

        return $this->hasMany('App\Pipeline','id','pipeline_id','teamrole_id');

    }
    public function profile(){

        return $this->hasMany('App\Profile','id','profile_id','teamrole_id');

    }


}